summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Pablo Santamaria2010-12-15 13:09:49 +0100
committer Erik Hanson2010-12-17 14:56:47 +0100
commit228e54ebd0d16d253b3234a157602bbc66ab006c (patch)
tree189d24cc13a3dfda0dbc687e366adde26e4f2256 /multimedia
parent744138b5f749391e5bdddbf2cf3ecd3c39bd77fc (diff)
downloadslackbuilds-228e54ebd0d16d253b3234a157602bbc66ab006c.tar.gz
multimedia/dvbsnoop: Added (dvb stream analyzer tool)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/dvbsnoop/README15
-rw-r--r--multimedia/dvbsnoop/dvbsnoop.SlackBuild84
-rw-r--r--multimedia/dvbsnoop/dvbsnoop.info10
-rw-r--r--multimedia/dvbsnoop/slack-desc19
4 files changed, 128 insertions, 0 deletions
diff --git a/multimedia/dvbsnoop/README b/multimedia/dvbsnoop/README
new file mode 100644
index 0000000000..de3fbd12e5
--- /dev/null
+++ b/multimedia/dvbsnoop/README
@@ -0,0 +1,15 @@
+dvbsnoop is a DVB / MPEG stream analyzer program, which enables you to
+watch (live) stream information in human readable form.
+
+Its purpose is to debug, dump or view digital stream information
+(e.g. digital television broadcasts) send via satellite, cable or
+terrestrial. Streams can be SI, PES or TS. Basically you can describe
+dvbsnoop as a "swiss army knife" analyzing program for DVB, MHP, DSM-CC
+or MPEG - similar to TCP network sniffer programs like the old and famous
+snoop on Sun Solaris or tcpdump on Linux (which is in fact a kind of
+a clone of SunOS 'snoop'). You may also analyze offline mpeg streams,
+e.g. stored on DVD or mpeg2 movie files.
+
+dvbsnoop is a command line based program. It's text output can be used
+to for postprocessing via scripts or graphical analysis software like
+MRTG or gnu-plot.
diff --git a/multimedia/dvbsnoop/dvbsnoop.SlackBuild b/multimedia/dvbsnoop/dvbsnoop.SlackBuild
new file mode 100644
index 0000000000..423370a444
--- /dev/null
+++ b/multimedia/dvbsnoop/dvbsnoop.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Slackware build script for dvbsnoop
+
+# Written by Pablo Santamaria (pablosantamaria@gmail.com)
+
+PRGNAM=dvbsnoop
+VERSION=${VERSION:-1.4.50}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+chmod 644 $PKG/usr/doc/$PRGNAM-$VERSION/*
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/dvbsnoop/dvbsnoop.info b/multimedia/dvbsnoop/dvbsnoop.info
new file mode 100644
index 0000000000..3569f67225
--- /dev/null
+++ b/multimedia/dvbsnoop/dvbsnoop.info
@@ -0,0 +1,10 @@
+PRGNAM="dvbsnoop"
+VERSION="1.4.50"
+HOMEPAGE="http://dvbsnoop.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/dvbsnoop/dvbsnoop-1.4.50.tar.gz"
+MD5SUM="68a5618c95b4372eea9ac5ec5005f299"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Pablo Santamaria"
+EMAIL="pablosantamaria@gmail.com"
+APPROVED="Niels Horn"
diff --git a/multimedia/dvbsnoop/slack-desc b/multimedia/dvbsnoop/slack-desc
new file mode 100644
index 0000000000..59f333ea61
--- /dev/null
+++ b/multimedia/dvbsnoop/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+dvbsnoop: dvbsnoop (a dvb stream analyzer tool)
+dvbsnoop:
+dvbsnoop: dvbsnoop is a DVB/MPEG stream analyzer program, which enables you to
+dvbsnoop: watch (live) stream information in human readable form. Its purpose
+dvbsnoop: is to debug, dump or view digital stream information (e.g. digital
+dvbsnoop: television broadcasts) send via satellite, cable or terrestrial.
+dvbsnoop:
+dvbsnoop:
+dvbsnoop:
+dvbsnoop:
+dvbsnoop: